---
title: AddressErrors.organization
slug: Web/API/AddressErrors/organization
tags:
  - API
  - Address
  - AddressErrors
  - Error
  - Payment Request
  - Payment Request API
  - Property
  - Read-only
  - Reference
  - organization
  - payment
---
<div>{{APIRef("Payment Request API")}}</div>

<p><span class="seoSummary">An object based on {{domxref("AddressErrors")}} includes an <code><strong>organization</strong></code> property when the address's {{domxref("PaymentAddress.organization", "organization")}} property couldn't be validated. The returned string explains the error and should offer suggestions for how to correct it.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>organizationError</em> = <em>AddressErrors</em>.organization;</pre>

<h3 id="Value">Value</h3>

<p>If the value specified in the {{domxref("PaymentAddress")}} object's {{domxref("PaymentAddress.organization", "organization")}} property could not be validated, this property contains a {{domxref("DOMString")}} offering a human-readable explanation of the validation error and offers suggestions for correcting it.</p>

<p>For example, if validation ensures that only permitted characters are included in the organization's name, this might return a string such as "The organization name may only contain the letters A-Z, digits, spaces, and commas."</p>

<p>If the <code>organization</code> value was validated successfully, this property is not included in the <code>AddressErrors</code> object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-addresserrors-organization','AddressErrors.organization')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AddressErrors.organization")}}</p>
</div>
